Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Richard Henderson <[email-masked]>
Date: Sun, 15 Aug 1999 17:29:12 -0700

On Mon, Aug 16, 1999 at 09:16:47AM +1000, Paul Mackerras wrote:
> The eieio instruction has two separate effects:
> 
> 1. as a write barrier for writes to cacheable memory (hence wmb)
> 
> 2. as a read/write barrier for reads and writes to non-cacheable
>    memory (hence iobarrier)

Ah.  The Alpha wmb instruction does _not_ have this second effect.

r~

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]